## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%define abi_ver 2.2.0
%global desc %{expand: \
The Global Extensible Open Power Manager (GEOPM) provides a framework to
explore power and energy optimizations on platforms with heterogeneous mixes
of computing hardware.

Users can monitor their system's energy and power consumption, and safely
optimize system hardware settings to achieve energy efficiency and/or
performance objectives.}

Name:		libgeopmd
Version:	3.2.0
Release:	%autorelease
Summary:	C/C++ implementation of the GEOPM access service

License:	BSD-3-Clause
URL:		https://geopm.github.io
Source0:	https://github.com/geopm/geopm/archive/v%{version}/geopm-%{version}.tar.gz

Patch0:		libgeopmd-fedora.patch
Patch1:		0001-Avoid-Wnon-virtual-dtor-option-in-CFLAGS.patch

ExclusiveArch:	x86_64

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc-c++
BuildRequires:	glibc-devel
BuildRequires:	gmock-devel
BuildRequires:	grpc-devel
BuildRequires:	gtest-devel
BuildRequires:	libcap-devel
BuildRequires:	libtool
BuildRequires:	liburing-devel
BuildRequires:	protobuf-devel
BuildRequires:	systemd-devel
BuildRequires:	zlib-ng-compat-devel
Requires:	abseil-cpp

%description
%{desc}

%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
applications that use %{name}.

%package -n geopmd-cli
Summary:	libgeopmd command-line tools
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	geopmd

%description -n geopmd-cli
%{desc}

%prep
%autosetup -p1 -n geopm-%{version}

pushd %{name}
echo %{version} > VERSION
autoreconf -vif
popd

%build
pushd %{name}
%configure \
	--disable-build-gtest \
	--enable-grpc
%make_build
popd

%install
pushd %{name}
%make_install
rm -v %{buildroot}/%{_libdir}/libgeopmd.a
rm -v %{buildroot}/%{_libdir}/libgeopmd.la
popd

%check
pushd %{name}
make check
popd

%files
%license LICENSE-BSD-3-Clause
%doc CONTRIBUTING.rst README.md
%{_libdir}/%{name}.so.%{abi_ver}
%{_libdir}/%{name}.so.2

%files devel
%{_includedir}/geopm
%{_includedir}/geopm_*
%{_libdir}/%{name}.so

%files -n geopmd-cli
%{_sbindir}/geopmbatch

%changelog
## START: Generated by rpmautospec
* Thu Jun 05 2025 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 3.2.0-2
- FTBFS fix (rhbz#2370061)

* Mon May 12 2025 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 3.2.0-1
- Update to 3.2.0

* Thu Feb 13 2025 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 3.1.0-3
- FTBFS fix (rhbz#2340736)

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Dec 03 2024 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 3.1.0-1
- 1st release
## END: Generated by rpmautospec
